Menu

## SocketConfig

SocketConfig.php : 18

HEXONET SocketConfig

### Table of Contents

$entity : string
  API system entity. "54cd" for LIVE system; "1234" for OT&E system
$login : string
  account name
$otp : string
  one time password (2FA)
$pw : string
  account password
$remoteaddr : string
  remote ip address (ip filter)
$session : string
  API session id
$user : string
  subuser account name (subuser specific data view)
__construct() : mixed
getPOSTData() : string
  Create POST data string out of connection data
getSession() : string
  Get API Session ID in use
getSystemEntity() : string
  Get API System Entity in use
setLogin() : $this
  Set account name to use
setOTP() : $this
  Set one time password to use
setPassword() : $this
  Set account password to use
setRemoteAddress() : $this
  Set Remote IP Address to use
setSession() : $this
  Set API Session ID to use
setSystemEntity() : $this
  Set API System Entity to use This is set to 54cd / LIVE System by default
setUser() : $this
  Set subuser account name (for subuser data view)

### Properties

#### $entity

SocketConfig.php : 24

API system entity. "54cd" for LIVE system; "1234" for OT&E system

`private string $entity`

#### $login

SocketConfig.php : 29

account name

`private string $login`

#### $otp

SocketConfig.php : 34

one time password (2FA)

`private string $otp`

#### $pw

SocketConfig.php : 39

account password

`private string $pw`

#### $remoteaddr

SocketConfig.php : 44

remote ip address (ip filter)

`private string $remoteaddr`

#### $session

SocketConfig.php : 49

API session id

`private string $session`

#### $user

SocketConfig.php : 54

subuser account name (subuser specific data view)

`private string $user`

### Methods

#### __construct()

SocketConfig.php : 56
`public __construct() : mixed`

##### Return values

mixed —

#### getPOSTData()

SocketConfig.php : 71

Create POST data string out of connection data

`public getPOSTData() : string`

##### Return values

string —

POST data string

#### getSession()

SocketConfig.php : 102

Get API Session ID in use

`public getSession() : string`

##### Return values

string —

API Session ID

#### getSystemEntity()

SocketConfig.php : 111

Get API System Entity in use

`public getSystemEntity() : string`

##### Return values

string —

API System Entity

#### setLogin()

SocketConfig.php : 121

Set account name to use

`public setLogin(string $value) : $this`

##### Parameters

$value : string

  account name

##### Return values

$this —

#### setOTP()

SocketConfig.php : 133

Set one time password to use

`public setOTP(string $value) : $this`

##### Parameters

$value : string

  one time password

##### Return values

$this —

#### setPassword()

SocketConfig.php : 145

Set account password to use

`public setPassword(string $value) : $this`

##### Parameters

$value : string

  account password

##### Return values

$this —

#### setRemoteAddress()

SocketConfig.php : 157

Set Remote IP Address to use

`public setRemoteAddress(string $value) : $this`

##### Parameters

$value : string

  remote ip address

##### Return values

$this —

#### setSession()

SocketConfig.php : 168

Set API Session ID to use

`public setSession(string $value) : $this`

##### Parameters

$value : string

  API Session ID

##### Return values

$this —

#### setSystemEntity()

SocketConfig.php : 183

Set API System Entity to use This is set to 54cd / LIVE System by default

`public setSystemEntity(string $value) : $this`

##### Parameters

$value : string

  API System Entity

##### Return values

$this —

#### setUser()

SocketConfig.php : 194

Set subuser account name (for subuser data view)

`public setUser(string $value) : $this`

##### Parameters

$value : string

  subuser account name

##### Return values

$this —

## Search results